#ifndef CGALDEFS_H
#define CGALDEFS_H

#include <CGAL/Cartesian.h>
#include <CGAL/Point_2.h>
#include <CGAL/Vector_2.h>
#include <CGAL/Segment_2.h>
#include <CGAL/Triangle_2.h>
#include <CGAL/Polygon_2.h>
#include <CGAL/Circle_2.h>
//#include <CGAL/Bbox_2.h>
#include <vector>

typedef CGAL::Cartesian<double> RepClass;
typedef CGAL::Point_2<RepClass> Point;
typedef CGAL::Vector_2<RepClass> Vector;
typedef CGAL::Segment_2<RepClass> Segment;
typedef CGAL::Ray_2<RepClass> Ray;
typedef CGAL::Direction_2<RepClass> Direction;
typedef CGAL::Triangle_2<RepClass> Triangle;
typedef CGAL::Circle_2<RepClass> Circle;
typedef CGAL::Bbox_2 Bbox;
typedef CGAL::Polygon_traits_2<RepClass> Polygon_traits;
typedef std::vector< Point > Polygon_Container;
typedef CGAL::Polygon_2< Polygon_traits, Polygon_Container > Polygon;
typedef CGAL::Aff_transformation_2<RepClass> Transformation;

#endif
